import { BackgroundCircle } from "./BackgroundCircle.js"
import { Eyes } from "./Eyes.js"
import { Mouth } from "./Mouth.js"
import { Teeth } from "./Teeth.js"
import { FaceContainer } from "./FaceContainer.js"

export const Face = ({
width, 
height,
centerX,
centerY,
r,
strokeWidth,
eyeOffsetX,
eyeOffsetY,
eyeRadius,
mouthRadius,
mouthWidth,
teethRadius,
teethWidth,
toothWidth,
teethSpace
  
}) => (
<FaceContainer width = {width} height = {height} centerX = {centerX} centerY = {centerY} >
      <BackgroundCircle radius={r} strokeWidth={strokeWidth}/>
      <Eyes eyeOffsetX = {eyeOffsetX} eyeOffsetY = {eyeOffsetY} eyeRadius={eyeRadius} />
      <Mouth mouthRadius = {mouthRadius} mouthWidth = {mouthWidth}/>
      <Teeth teethRadius = {teethRadius} teethWidth = {teethWidth} mouthWidth = {mouthWidth} toothWidth = {toothWidth} teethSpace = {teethSpace}/>			
</FaceContainer>
);